Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.antlr
[Java] Interface AntlrASTProcessor

    public interface AntlrASTProcessor

An interface for processing antlr AST objects

Authors:
  Jeremy Rayner

Version:
  \$Revision\$

Method Summary
`antlr.collections.AST` | `process(antlr.collections.AST t)` performs some processing on the supplied AST node.

Method Detail

### process

    public antlr.collections.AST process(antlr.collections.AST t)

  performs some processing on the supplied AST node.
  Parameters:
    `t` - the AST node to process.
  Returns:
    possibly returns the AST modified or null, depends on the implementation.

Groovy Documentation